:root {
  --main-text-color: cornflowerblue;
}

* {
    font-kerning: normal;
}

body {
    /* These properties are intended for the entire page/ */
    color: white;
    background-color: #14171c;
    font-family: "Open Sans", sans-serif;
    font-weight: 300;
    font-style: normal;
    font-variation-settings: "wdth" 100;
}

a {
    /* Fixing hyperlink color */
    color: var(--main-text-color, cornflowerblue);
    position: relative;
}

#system-diagram {
    /* Render sysdiagram to the right of the video */
    position: absolute;
    top: 0pc;
    margin-left: 500px;
}

@media (max-width: 1000px) {
    /* On smaller devices, render the system diagram below the video */
   #system-diagram{
    display: block;
    position: relative;
    margin-left: 0;
   }
}


header > span {
    font-size: 1.5em;
    margin: 0 0.5rem;
}

.logistics {
    /* We use flexbox to render the logistics section as a row of 3 columns */
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
    align-content: stretch;
    gap: 1.5rem;
    padding: 0.5rem;
}

@media (max-width: 750px) {
    /* Shrink the gap between logistics columns on smaller devices */
  .logistics {
    gap: 0rem;
    margin: 0rem 0rem 0rem 0rem;
    padding: 0.5rem 0 0.5rem 0;
  }
}

.logistics > div {
    min-width: 15%;
    max-width: 30%;
}

.logistics h4 {
    margin-top: auto;
    margin-left: 1rem;
    margin-right: auto;
    margin-bottom: 0.5rem;
}

.logistics ul, .logistics ol {
    margin: 0;
}

iframe, canvas, em {
    height: auto;
    width: auto;
    min-width: auto;
    max-width: 100%;
    margin: auto;
    position: relative;
}

h2.subtitle {
    margin-left: 1rem;
    display: inline;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    margin-bottom: 2pc;
    text-decoration: underline color(srgb 0.392 0.584 0.929) 1px;
}
h3.date {
    display: inline-block;
    margin-top: 0;
    margin-right: 0.5rem;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    text-decoration: underline color-mix(in hsl, hsl(200 50 80) 20%, cornflowerblue 80%) 1px;
}

*.title {
    text-align: center;
    border-style: double;
    border-color: rgba(100, 148, 237, 0.921);
    border-width: 3px;
    border-radius: 1pt;
    padding: 0.5rem;
}

.framework-decision {
    /* A grid layout used to render the pros/cons in two different columns */
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-areas: 
        "header header"
        "pros cons"
        "pros-list cons-list";
    align-items: stretch;
    text-align: center;
    border: 2px solid rgb(100, 149, 237);
    margin-bottom: 1rem;
    background-color: rgb(24, 36, 30);
    width: 98vw;
    row-gap: 1px;
    column-gap: 1px;
    min-width: fit-content;
    max-width: 100%;
}

.framework-decision > p::before {
    margin-top: 0.5rem;
}

.framework-decision > p {
    display: block;
    grid-area: header;
    font-size: 1.25em;
    align-self: normal; 
    justify-self: center;
    margin: 1px 1px 1px 1px; 
    padding: 1px 1px 1px 1px;
}

.framework-decision b {
    width: auto;
}

.framework-decision > b {
    grid-area: pros;
}

.framework-decision > b + b{
    grid-area: cons;
}

.framework-decision ul {
    text-align: left;
    padding-left: 25%;
    height: auto;
    width: auto;
}


details > summary {
    background-color: darkslategray;
    width: fit-content;
    list-style: none;
    padding-top: 0.5rem;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    padding-bottom: 0.5rem;
    border-width: 2pt;
    border-style: solid;
    border-color: cornflowerblue;
    border-radius: 5px;
    margin-top: 1rem;
    &:hover {
        cursor: pointer;
        box-shadow: 0px 0px 5px hsla(219, 79%, 66%, 0.952);
    };
    &:active {
        background-color: slategray;
        transform:scale(0.99);
        box-shadow: 0px 0px 5px hsl(219, 79%, 66%);
    };
}

/* We want to add extra content to help users when opening up the registration form*/
details > summary::before {
    content: "Show ";
    height: auto;
}
details[open] > summary::before {
    content: "Hide ";
    height: auto;
}


fieldset{
    margin-top: 0.5rem;
    border: 0.15pc solid cornflowerblue;
}
label:has(> input[type="checkbox"]),
label:has(> input[type="radio"]) {
    margin-right: 1rem;
}

label ~ label {
    display: inline-block;
    margin-top: 0.1rem;
    margin-bottom: 0.1rem;
}

[type="submit"] {
    font-size: 1em;
    color: white;
    border: none;
    margin-top: 0.5em;
    margin-right: 0.5em;
    width: 5em;
    height: 2em;
    background-color: darkslategray;
    border-radius: 2pt;
}

button[type="submit"]:hover {
    cursor: pointer;
    border: 2pt solid #09c;
}
button[type="submit"]:active {
    background-color: slategray;
    transform:scale(0.98);
    border: 2pt solid #09c;
}